# language-prefs.tcl,v 1.2.4.1 2000/02/03 09:58:51 ron Exp
# Set the language_preference cookie.

if { [ns_conn form] != "" } {
    set_form_variables
    # language_preference (optional, default is en)
    # return_url (optional, default is referrer)
}

set headers [ns_conn headers]

if { ![info exists language_preference] || $language_preference == "" } {
    # If language_preference was not set from form, set it to the default.
    set language_preference [ad_parameter LanguageSiteDefault style "en"]
}

if { ![info exists return_url] || $return_url == "" } {
    set return_url [ns_set get $headers "Referer"]
}

# See if we are a personalized user. If so, update the personalization.
set user_id [ad_verify_and_get_user_id]
if { $user_id != "" } {
    set db [ns_db gethandle]
    # Ignore any database errors.
    catch { ns_db dml $db "update users_preferences set language_preference = '$language_preference' where user_id = $user_id" }
    ns_db releasehandle $db

    util_memoize_flush "ad_style_user_preferences_from_db $user_id"
}


ns_returnredirect "/cookie-chain.tcl?cookie_name=language_preference&cookie_value=$language_preference&final_page=[ns_urlencode $return_url]&expire_state=p"




